# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: Server_Recognition_Protocol.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import common_pb2 as common__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='Server_Recognition_Protocol.proto',
  package='',
  syntax='proto3',
  serialized_pb=_b('\n!Server_Recognition_Protocol.proto\x1a\x0c\x63ommon.proto\"Z\n\x12RecognitionRequest\x12\r\n\x05token\x18\x01 \x01(\t\x12\x35\n\x15preprocessedCharacter\x18\x02 \x01(\x0b\x32\x16.PreprocessedCharacter\"W\n\x13RecognitionResponse\x12\r\n\x05token\x18\x01 \x01(\t\x12\x31\n\x13recognizedCharacter\x18\x02 \x01(\x0b\x32\x14.RecognizedCharacterb\x06proto3')
  ,
  dependencies=[common__pb2.DESCRIPTOR,])




_RECOGNITIONREQUEST = _descriptor.Descriptor(
  name='RecognitionRequest',
  full_name='RecognitionRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='RecognitionRequest.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='preprocessedCharacter', full_name='RecognitionRequest.preprocessedCharacter', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=51,
  serialized_end=141,
)


_RECOGNITIONRESPONSE = _descriptor.Descriptor(
  name='RecognitionResponse',
  full_name='RecognitionResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='token', full_name='RecognitionResponse.token', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='recognizedCharacter', full_name='RecognitionResponse.recognizedCharacter', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=143,
  serialized_end=230,
)

_RECOGNITIONREQUEST.fields_by_name['preprocessedCharacter'].message_type = common__pb2._PREPROCESSEDCHARACTER
_RECOGNITIONRESPONSE.fields_by_name['recognizedCharacter'].message_type = common__pb2._RECOGNIZEDCHARACTER
DESCRIPTOR.message_types_by_name['RecognitionRequest'] = _RECOGNITIONREQUEST
DESCRIPTOR.message_types_by_name['RecognitionResponse'] = _RECOGNITIONRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

RecognitionRequest = _reflection.GeneratedProtocolMessageType('RecognitionRequest', (_message.Message,), dict(
  DESCRIPTOR = _RECOGNITIONREQUEST,
  __module__ = 'Server_Recognition_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:RecognitionRequest)
  ))
_sym_db.RegisterMessage(RecognitionRequest)

RecognitionResponse = _reflection.GeneratedProtocolMessageType('RecognitionResponse', (_message.Message,), dict(
  DESCRIPTOR = _RECOGNITIONRESPONSE,
  __module__ = 'Server_Recognition_Protocol_pb2'
  # @@protoc_insertion_point(class_scope:RecognitionResponse)
  ))
_sym_db.RegisterMessage(RecognitionResponse)


# @@protoc_insertion_point(module_scope)
